News - Logiciels Libres

get-ffmpeg-vivaldi : Installer la libffmpeg de Chrome pour Vivaldi (sous Linux)

Par , le dans Logiciels Libres - 1 Commentaire
get-ffmpeg-vivaldi : Installer la libffmpeg de Chrome pour Vivaldi (sous Linux)
Salut à tous,

Aujourd'hui, encore des mésaventures avec Vivaldi sous Linux. Ça commence à me gonfler car quand on fait une mise à jour de Vivaldi sous Linux, PAF parfois les vidéos x264 ne se lisent plus. Le problème ne se pose que sous Linux parce que les gens de Vivaldi ne veulent pas donner la libffmpeg qui va bien.

Au boulot sur mon PC Windows 10, ça marche sans aucun souci, mais sous Linux on est toujours dans la merde, à bricoler encore et toujours.

Un PPA pour Ubuntu, un dépôt tiers pour Arch.

Pour Gentoo et Calculate Linux, j'avais fait 2 paquets : vivaldi-ffmpeg-codecs et vivaldi-snapshot-ffmpeg-codecs pour les versions stables et développement de Vivaldi pour télécharger le deb qui va bien, l'extraire et le placer au bon endroit.
Suite à quelques modifs sur Calculate (ffmpeg donné avec la lib chromium) on n'avait plus besoin de ces paquets, je les avais donc maqués.
Mais les récentes versions de Vivaldi ne fonctionnent plus (ffmpeg trop vieux?). J'ai alors remis en service les paquets que j'avais fait . Mais je les remasque à nouveau aujourd'hui.

Pourquoi ? Et bien parce que si on n'est pas trop réactif, et que quelqu'un veut télécharger mon paquet, si le deb fabriqué est supprimé du dépôt, l'installation échoue. Dans le cas d'une mise à jour système, ça stop le processus au milieu.

Dans les paquets Gentoo, on ne peut pas exécuter du code bash n'importe comment. Du coup, impossible de redétecter la bonne version (et disponible) de cette lib ffmpeg.

J'ai donc remasqué les paquets que j'avais fait, et créé un script, nommé get-ffmpeg-vivaldi disponible sur mon GitHub et évidemment disponible dans l'adrien-overlay dès à présent.
Ce programme, s'exécute en root, et permet de chercher une version disponible de ffmpeg pour Vivaldi (stable ou snapshot) et l'installe sur votre système.

Si Vivaldi se met à jour et que les vidéos x264 ne se lisent plus, relancez le programme get-ffmpeg-codec et ça va télécharger la bonne version (la dernière) puis l'installer. Au moins, on ne plante plus au milieu de la mise à jour le gestionnaire de logiciels !

Pour installer la libffmpeg pour Vivaldi stable :
Code BASH :
get-ffmpeg-vivaldi stable

Pour installer la libffmpeg pour Vivaldi snapshot :
Code BASH :
get-ffmpeg-vivaldi snapshot


Explications et vidéo :

N'hésitez pas à sélectionner la qualité HD en 720p ou 1080p !



:merci: